#
# spec file for package perl-Lingua-Stem-Ru
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Lingua-Stem-Ru
Version:        0.04
Release:        1.7
%define cpan_name Lingua-Stem-Ru
Summary:        Porter's stemming algorithm for Russian (KOI8-R only)
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Lingua-Stem-Ru/
Source0:        http://www.cpan.org/authors/id/N/NE/NEILB/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
This module applies the Porter Stemming Algorithm to its parameters,
returning the stemmed words.

The algorithm is implemented exactly as described in:

    http://snowball.tartarus.org/algorithms/russian/stemmer.html

The code is carefully crafted to work in conjunction with the Lingua::Stem
module by Benjamin Franz. This stemmer is also based on the work of Aldo
Capini, see Lingua::Stem::It.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Sat Feb 13 2016 coolo@suse.com
- updated to 0.04
  see /usr/share/doc/packages/perl-Lingua-Stem-Ru/Changes
  0.04 2016-02-12 NEILB
  - Dropped use of 'use vars'
  - Updated the Win32 installation instructions
  - Added github repo to doc, along with an AUTHOR section,
    and updated SEE ALSO.
  - All the above changes submitted by ZORAN++
* Sun Feb  7 2016 coolo@suse.com
- updated to 0.03
  see /usr/share/doc/packages/perl-Lingua-Stem-Ru/Changes
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Thu Jul 15 2010 chris@computersalat.de
- initial package 0.01
  * created by cpanspec 1.78
